Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TJoinExpr

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNodeWithAliasClause
              gudusoft.gsqlparser.nodes.TJoinExpr

All Implemented Interfaces:
  Visitable

    public class TJoinExpr

extends TNodeWithAliasClause

Internal used by parser.

Represents join table in parse tree.

Field Summary
`TExpression` | `onCondition` on condition;
`EJoinType` | `original_jontype`
`TObjectNameList` | `usingColumns` using (column list)

Constructor Summary
`TJoinExpr()`

Method Summary
`EJoinType` | `getJointype()`
`TFromTable` | `getLeftOperand()`
`TFromTable` | `getRightOperand()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setJoinCondition(TDummy pDummy)`
`void` | `setJointype(EJoinType jointype)`
`void` | `setLeftOperand(TFromTable leftOperand)`
`void` | `setRightOperand(TFromTable rightOperand)`

Methods inherited from class gudusoft.gsqlparser.nodes.TNodeWithAliasClause
`getAliasClause, setAliasClause, toString`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### usingColumns

    public TObjectNameList usingColumns

  using (column list)

### onCondition

    public TExpression onCondition

  on condition;

### original_jontype

    public EJoinType original_jontype

Constructor Detail

### TJoinExpr

    public TJoinExpr()

Method Detail

### getJointype

    public EJoinType getJointype()

### setJointype

    public void setJointype(EJoinType jointype)

### getLeftOperand

    public TFromTable getLeftOperand()

### getRightOperand

    public TFromTable getRightOperand()

### setLeftOperand

    public void setLeftOperand(TFromTable leftOperand)

### setRightOperand

    public void setRightOperand(TFromTable rightOperand)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### setJoinCondition

    public void setJoinCondition(TDummy pDummy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD